﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using WideMargin.MVCInterfaces;
using WideMargin.Utilities;

namespace WideMargin.Gui.Wpf
{
	public class WpfWideMarginView : IWideMarginView
	{
		MainWindow _mainWindow;
		bool _editable = true;

		public WpfWideMarginView()
		{
			_mainWindow = new MainWindow();
			_mainWindow.NewTabRequested += MainWindow_NewTabRequested;
		}

		void MainWindow_NewTabRequested(object sender, EventArgs e)
		{
			NewTabRequest.Fire(this, e);
		}

		public void Run()
		{
			Application application = new Application();
			application.Run(_mainWindow);
		}

		public IBibleView CreateBibleView(bool show)
		{
			return _mainWindow.AddTab();
		}

		public event EventHandler<EventArgs> NewTabRequest;

		public bool Editable
		{
			get
			{
				return _editable;
			}
			set
			{
				if (_editable == value)
				{
					return;
				}
				_editable = value;
				if (_editable)
				{
					_mainWindow.AddNewTabTrigger();
				}
				else
				{
					_mainWindow.RemoveNewTabTrigger();
				}
			}
		}

		public void Dispose()
		{
		}
	}
}
