﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WideMargin.Controller;
using WideMargin.Database;
using WideMargin.Gui.Wpf;
using WideMargin.MVCInterfaces;

namespace WideMargin.Wpf
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            string appData = Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData);
            string wideMarginAppDataPath = Path.Combine(appData, "widemargin");
            if (!Directory.Exists(wideMarginAppDataPath))
            {
                Directory.CreateDirectory(wideMarginAppDataPath);
            }
            string kjvPath = Path.Combine(wideMarginAppDataPath, "KJV.db");
            using (IWideMarginView view = new WpfWideMarginView())
            using (BibleDatabase bible = new BibleDatabase(kjvPath))
            using (WideMarginController controller = new WideMarginController(view, bible))
            {
                controller.Run();
            }
        }
    }
}
